Bug 851730 - [abrt] gnome-settings-daemon-3.4.2-3.fc17: cairo_surface_set_user_data: Process /usr/libexec/gnome-settings-daemon was killed by signal 11 (SIGSEGV)
[abrt] gnome-settings-daemon-3.4.2-3.fc17: cairo_surface_set_user_data: Proce...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:5506e29c0793918fcb9faf0f472...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 17:12 EDT by Rafael Louback Ferraz
Modified: 2013-07-31 16:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:57:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.31 KB, text/plain)
2012-08-24 17:12 EDT, Rafael Louback Ferraz
no flags Details
File: maps (71.87 KB, text/plain)
2012-08-24 17:12 EDT, Rafael Louback Ferraz
no flags Details
File: dso_list (16.28 KB, text/plain)
2012-08-24 17:12 EDT, Rafael Louback Ferraz
no flags Details
File: build_ids (6.05 KB, text/plain)
2012-08-24 17:12 EDT, Rafael Louback Ferraz
no flags Details

  None (edit)
Description Rafael Louback Ferraz 2012-08-24 17:12:28 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
comment:        Changing screen settings. Setting HDMI tv to work with laptop monitor. 
crash_function: cairo_surface_set_user_data
executable:     /usr/libexec/gnome-settings-daemon
kernel:         3.5.2-1.fc17.x86_64
pid:            1031
pwd:            /home/louback
remote_result:  NOTFOUND
time:           Sex 24 Ago 2012 17:58:22 BRT
uid:            1000
username:       louback
var_log_messages: Aug 24 17:58:25 louback-pc abrt[2253]: Saved core dump of pid 1031 (/usr/libexec/gnome-settings-daemon) to /var/spool/abrt/ccpp-2012-08-24-17:58:22-1031 (73166848 bytes)
xsession_errors: 

backtrace:      Text file, 32060 bytes
build_ids:      Text file, 6191 bytes
dso_list:       Text file, 16674 bytes
maps:           Text file, 73596 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/louback/1

core_backtrace:
:508cf66f72e70054a41215f80ed2385c6bb80030 0x44be0 cairo_surface_set_user_data libcairo.so.2 -
:0b637b8e4ce3e055becd045ed1cdbbe72679e253 0x1265d gnome_bg_create_surface libgnome-desktop-3.so.2 -
:702540139dfea40fbad79729e2b8c643a6e33ec5 0x21c8 - libbackground.so -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf943 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x28cd0 g_signal_emit_by_name libgobject-2.0.so.0 -
:29349187cb6cb5fdb5e8fcc5fd335ee39f110fdc 0x4f0cc - libgdk-3.so.0 -
:29349187cb6cb5fdb5e8fcc5fd335ee39f110fdc 0x43775 - libgdk-3.so.0 -
:29349187cb6cb5fdb5e8fcc5fd335ee39f110fdc 0x497de - libgdk-3.so.0 -
:29349187cb6cb5fdb5e8fcc5fd335ee39f110fdc 0x4930f - libgdk-3.so.0 -
:29349187cb6cb5fdb5e8fcc5fd335ee39f110fdc 0x1fee1 gdk_display_get_event libgdk-3.so.0 -
:29349187cb6cb5fdb5e8fcc5fd335ee39f110fdc 0x48e72 - libgdk-3.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x179f75 gtk_main libgtk-3.so.0 -
:e8fd0879fec2a72484ce0a27dfb5fcb608eeaf71 0x392a main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:HOSTNAME=louback-pc
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QT_GRAPHICSSYSTEM_CHECKED=1
:'IMSETTINGS_MODULE=X compose table'
:USER=louback
:USERNAME=louback
:MAIL=/var/spool/mail/louback
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/louback/.local/bin:/home/louback/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/louback
:XMODIFIERS=@im=none
:LANG=pt_BR.utf8
:GDM_LANG=pt_BR.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/louback
:SHLVL=1
:LOGNAME=louback
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-O9AevgHcDV,guid=d8f48422d11b3d40bc001a7d00000022
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/louback
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-louback-uEZBJM/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/869,unix/unix:/tmp/.ICE-unix/869
:DESKTOP_AUTOSTART_ID=10636ac4b4ee5e8d1a13458388291999600000008690001

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30389                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30389                30389                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/louback/.xsession-errors
:pos:	6980
:flags:	0102002
:2:/home/louback/.xsession-errors
:pos:	6980
:flags:	0102002
:3:socket:[17706]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[20514]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:anon_inode:inotify
:pos:	0
:flags:	02004000
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:socket:[20541]
:pos:	0
:flags:	02004002
:10:socket:[19611]
:pos:	0
:flags:	02004002
:11:pipe:[19834]
:pos:	0
:flags:	02000000
:12:anon_inode:inotify
:pos:	0
:flags:	02004000
:13:anon_inode:inotify
:pos:	0
:flags:	02004000
:14:socket:[17805]
:pos:	0
:flags:	02004002
:15:pipe:[19834]
:pos:	0
:flags:	02000001
:16:socket:[17870]
:pos:	0
:flags:	02004002
:17:socket:[17874]
:pos:	0
:flags:	02004002
:18:/dev/urandom
:pos:	0
:flags:	02100000
:19:socket:[20630]
:pos:	0
:flags:	02000002
:20:/proc/1031/mounts
:pos:	0
:flags:	0100000
:21:socket:[19830]
:pos:	0
:flags:	02004002
:22:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:23:socket:[19974]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:Geral
:=================================
:UUID: ee923eba-0b98-4604-add5-03d69aa3ac2f
:SO: Fedora release 17 (Beefy Miracle)
:Nível de execução padrão: Unknown
:Idioma: pt_BR.utf8
:Plataforma: x86_64
:BogoMIPS: 4787.70
:Fabricante da CPU: GenuineIntel
:Modelo da CPU: Intel(R) Core(TM) i5 CPU       M 520  @ 2.40GHz
:Versão da CPU: 2
:Família da CPU: 6
:Modelo da CPU: 37
:Número de CPUs: 4
:Velocidade da CPU: 2395
:Memória do sistema: 3820
:Swap do sistema: 1023
:Fabricante: Dell Inc.
:Sistema: Vostro 3500 A10
:Fator de uso: Portable
:Kernel: 3.5.2-1.fc17.x86_64
:SELinux habilitado: 1
:Politica do SELinux: targeted
:Modo de reforço do SELinux: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:4136:1089) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:69:4136:1089) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:4136:1089) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:4136:1089) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15115:4136:1089) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4136:1089) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:9288:4136:1089) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(5348:17235:4136:14) pci, bcma-pci-bridge, NETWORK, BCM43224 802.11a/b/g/n
:(32902:15164:4136:1089) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:4136:1089) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:4136:1089) pci, mei, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:15174:4136:1089) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(32902:15170:4136:1089) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4136:1089) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:4136:1089) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:4136:1089) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(4318:3043:4136:1089) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(4318:2677:4136:1089) pci, nouveau, VIDEO, GT218 [GeForce 310M]
:(4332:33128:4136:1089) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:
:
:Informações do sistema de arquivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_louback--pc-lv_root / ext4 4096 4096 4652221 2800058 2752799 1187840 989610 989610
:/dev/sda1 WITHHELD fuseblk 4096 4096 25599 19410 19410 143176 143084 143084
:/dev/sda2 WITHHELD fuseblk 4096 4096 116950271 9755521 9755521 39415300 39086906 39086906
:/dev/sda3 /boot ext4 1024 1024 495844 446987 421387 128016 127663 127663
:
Comment 1 Rafael Louback Ferraz 2012-08-24 17:12:33 EDT
Created attachment 606963 [details]
File: backtrace
Comment 2 Rafael Louback Ferraz 2012-08-24 17:12:35 EDT
Created attachment 606964 [details]
File: maps
Comment 3 Rafael Louback Ferraz 2012-08-24 17:12:37 EDT
Created attachment 606965 [details]
File: dso_list
Comment 4 Rafael Louback Ferraz 2012-08-24 17:12:39 EDT
Created attachment 606966 [details]
File: build_ids
Comment 5 Andre Massing 2012-10-13 18:02:38 EDT
That problem occurred immediately after logging in, so I don't know what may have cause the problem.

backtrace_rating: 4
Package: gnome-settings-daemon-3.4.2-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Fedora End Of Life 2013-07-03 16:42:53 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 16:57:55 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.